라이선스 API
라이선스 API에 대해 설명합니다.
GitLab에는 다양한 오픈 소스 라이선스 템플릿을 사용하기 위한 API 엔드포인트가 있습니다. 다양한 라이선스 조건에 대한 자세한 내용은 이 사이트 나 온라인에서 이용 가능한 다른 리소스를 참조하세요. Guest 역할을 가진 사용자는 라이선스 템플릿에 접근할 수 없습니다. 자세한 내용은 프로젝트 및 그룹 가시성 을 참조하세요. 모든 라이선스 템플릿 목록 # 모든 라이선스 템플릿을 나열합니다. GET /templates/licenses 속성 유형 필수 설명 popular boolean 아니요 전달하면 인기 있는 라이선스만 반환 요청 예시: curl "https://gitlab.example.com/api/v4/templates/licenses?popular=1" 응답 예시: [ { "key" : "apache-2.0" , "name" : "Apache License 2.0" , "nickname" : null , "featured" : true , "html_url" : "http://choosealicense.com/licenses/apache-2.0/" , "source_url" : "http://www.apache.org/licenses/LICENSE-2.0.html" , "description" : "A permissive license that also provides an express grant of patent rights from contributors to users." , "conditions" : [ "include-copyright" , "document-changes" ] , "permissions" : [ "commercial-use" , "modifications" , "distribution" , "patent-use" , "private-use" ] , "limitations" : [ "trademark-use" , "no-liability" ] , "content" : " Apache License\n Version 2.0, January 2004\n [...]" } , { "key" : "gpl-3.0" , "name" : "GNU General Public License v3.0" , "nickname" : "GNU GPLv3" , "featured" : true , "html_url" : "http://choosealicense.com/licenses/gpl-3.0/" , "source_url" : "http://www.gnu.org/licenses/gpl-3.0.txt" , "description" : "The GNU GPL is the most widely used free software license and has a strong copyleft requirement. When distributing derived works, the source code of the work must be made available under the same license." , "conditions" :
